Download it now!
Bug 94377 - FILESAVE: RTF - Comment font size not retained
Summary: FILESAVE: RTF - Comment font size not retained
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords: filter:rtf
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2015-09-20 12:47 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-20 12:47:50 UTC
Steps:
1) Open attachment 118397 [details]
2) Notice that comment is in DejaVu Serif 10pt
3) Save to RTF
4) Reopen RTF
5) Notice that comment is in Liberation Serif 12pt

Word 2010 opens the same RTF with DejaVu Serif 12pt, so i believe the import filter is messing up with that part.

Version: 5.1.0.0.alpha1+
Build ID: cbf3fac0a5a1be34b2e1a58da959debd24ebc017
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-17_07:03:22
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2015-09-20 16:43:10 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+ (x64)
Build ID: 9ce08dcc2e32c5554ddf71b79173f8854e0568ad
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-09-17_21:43:51
Locale: en-US (fi_FI)
Comment 2 Miklos Vajna 2015-12-04 23:17:04 UTC
RtfAttributeOutput::PostitField() currently just writes the postit field text as-is: that means not only formatting, but also paragraph ends get lost. I'll take care of this.
Comment 3 Commit Notification 2015-12-08 07:50:47 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c321b6182a31cd2e5d6f74e404797bd4c63e537a

Related: tdf#94377 RTF export: support multiple paragraphs in editeng text

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-12-09 07:48:29 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7060525a64ef1048b387f0a6a9f842d78b52fb9a

tdf#94377 RTF export: support comment formatting

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Yousuf Philips (jay) (retired) 2015-12-09 10:58:53 UTC
@Miklos: Thanks for the fix. Can this be backported into 5.1?
Comment 6 Commit Notification 2015-12-10 08:36:27 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4c13fa32f793fee6d99c0c479fd65ab9dd09b66&h=libreoffice-5-1

Related: tdf#94377 RTF export: support multiple paragraphs in editeng text

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-12-10 08:36:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d71417b49e8f8685897f5a74f03c81008c73c04e&h=libreoffice-5-1

tdf#94377 RTF export: support comment formatting

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2015-12-11 07:45:07 UTC
Done now. :-)
Comment 9 Yousuf Philips (jay) (retired) 2015-12-11 09:07:47 UTC
(In reply to Miklos Vajna from comment #8)
> Done now. :-)

Thanks. Is this worth backporting into 5.0?
Comment 10 Robinson Tryon (qubit) 2015-12-17 12:54:26 UTC Comment hidden (obsolete)